import request from '@/utils/request'

// 查询企微主体列表
export function listQwCompany(query) {
  return request({
    url: '/qw/qwCompany/list',
    method: 'get',
    params: query
  })
}
export function allCorp() {
  return request({
    url: '/qw/qwCompany/all',
    method: 'get'
  })
}
// 查询企微主体详细
export function getQwCompany(id) {
  return request({
    url: '/qw/qwCompany/' + id,
    method: 'get'
  })
}

// 新增企微主体
export function addQwCompany(data) {
  return request({
    url: '/qw/qwCompany',
    method: 'post',
    data: data
  })
}

// 修改企微主体
export function updateQwCompany(data) {
  return request({
    url: '/qw/qwCompany',
    method: 'put',
    data: data
  })
}

// 删除企微主体
export function delQwCompany(id) {
  return request({
    url: '/qw/qwCompany/' + id,
    method: 'delete'
  })
}

// 导出企微主体
export function exportQwCompany(query) {
  return request({
    url: '/qw/qwCompany/export',
    method: 'get',
    params: query
  })
}